"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.portal = void 0;
const react_1 = __importDefault(require("react"));
const host_1 = require("./host");
exports.portal = new host_1.PortalGuard();
class Portal extends react_1.default.Component {
    render() {
        return (react_1.default.createElement(react_1.default.Fragment, null,
            this.props.children,
            react_1.default.createElement(host_1.PortalHost, null)));
    }
}
exports.default = Portal;
Portal.add = exports.portal.add;
Portal.remove = exports.portal.remove;
