import React, { PropsWithChildren } from 'react';
import { StyleProp, ViewStyle } from 'react-native';
export declare type TabBarProps = {
    style?: StyleProp<ViewStyle>;
    height?: number;
    iconSize?: number;
    activeColor?: string;
    inactiveColor?: string;
    backgroundColor?: string;
    showBorderTop?: boolean;
};
declare const TabBar: React.FC<PropsWithChildren<TabBarProps>>;
export default TabBar;
